Subject: [PATCH RFT 1/2] pinctrl: dove: Fix dove_audio1_ctrl_set when BIT(0|1|2|3) of config is clear

From: [email-masked] (Sebastian Hesselbarth)
Date: Fri, 16 Nov 2012 19:32:01 +0100

On 11/16/2012 10:12 AM, Axel Lin wrote:
> 2012/11/12 Sebastian Hesselbarth<[email-masked]>:
>> On 11/11/2012 02:44 PM, Axel Lin wrote:
>>>
>>> Current implementation in dove_audio1_ctrl_set() does not clear
>>> corresponding
>>> register bit if BIT(0|1|2|3) of config is clear. Fix it.
>>>
>>> Signed-off-by: Axel Lin<[email-masked]>
>>
>>
>> Axel,
>>
>> thanks for the hint on not clearing the audio1 bits before setting them.
>> I will test this tonight and guess you should prepare a real patch for
>> this one.
>
> Hi Sebastian,
> Does this patch work for you?
> May I have your Acked-and-Tested-by if you think this patch is ok.

Axel,

pinctrl for Dove will not be enabled before DT clock support for Dove,
which will hopefully make it into 3.8. If you agree, I will test and push it
with the related patches for enabling pinctrl.

Sebastian